Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.graphics
Interface GraphicsDisplay

All Known Implementing Classes:
  GraphicsCanvas2D

public interface GraphicsDisplay

An interface that specifies methods of a graphics canvas.

Version:
  1.0 11 july 1999
Author:
  Lawrence Rodrigues

Method Summary
`void` | `addKeyListener(java.awt.event.KeyListener kl)` Adds a key listener object.
`void` | `addMouseListener(java.awt.event.MouseListener ml)` Adds a mouse listener object.
`void` | `addMouseMotionListener(java.awt.event.MouseMotionListener e)` Adds a mouse motion listener object.
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener pc)` Adds a PropertyChangeListener object.
`void` | `addVetoableChangeListener(java.beans.VetoableChangeListener vl)` Adds a VetoableChangeListener object.
`void` | `draw(java.awt.Shape shape)` Draws the specified shape on the destination image
`int` | `getCapStyle()`
`java.awt.Shape` | `getClip()`
`java.awt.Composite` | `getComposite()`
`java.awt.image.BufferedImage` | `getDisplayedImage()`
`java.awt.Graphics2D` | `getDisplayedImageGC()`
`java.awt.Color` | `getDrawingColor()`
`java.awt.Color` | `getFillColor()`
`java.awt.Font` | `getFont()`
`int` | `getFontSize()`
`int` | `getFontStyle()`
`int` | `getFontType()`
`java.awt.Paint` | `getPaint()`
`java.awt.RenderingHints` | `getRenderingHints()`
`java.awt.Stroke` | `getStroke()`
`int` | `getStrokeWidth()`
`java.awt.Color` | `getTextColor()`
`java.awt.geom.AffineTransform` | `getTransform()`
`void` | `removeKeyListener(java.awt.event.KeyListener kl)` Removes a key listener object.
`void` | `removeMouseListener(java.awt.event.MouseListener ml)` Removes a mouse listener object.
`void` | `removeMouseMotionListener(java.awt.event.MouseMotionListener ml)` Removes a mouse motion listener object.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener pc)` Removes a PropertyChangeListener object.
`void` | `removeVetoableChangeListener(java.beans.VetoableChangeListener vl)` Removes a VetoableChangeListener object.
`void` | `repaint()`
`void` | `reset()`
`void` | `setCapStyle(int capStyle)`
`void` | `setClip(java.awt.Shape clipshape)` Sets the clip shape on the destination image
`void` | `setComposite(java.awt.Composite composite)`
`void` | `setCursor(java.awt.Cursor cursor)` Sets the cursor.
`void` | `setDrawingColor(java.awt.Color drawingColor)`
`void` | `setFillColor(java.awt.Color fillColor)`
`void` | `setFont(java.awt.Font font)` Sets the font.
`void` | `setFontSize(int size)`
`void` | `setFontStyle(int style)`
`void` | `setFontType(int size)`
`void` | `setPaint(java.awt.Paint paint)`
`void` | `setRenderingHints(java.awt.RenderingHints renderingHints)`
`void` | `setStroke(java.awt.Stroke stroke)`
`void` | `setStrokeWidth(int wid)`
`void` | `setTextColor(java.awt.Color textColor)`
`void` | `setTransform(java.awt.geom.AffineTransform transform)`

Method Detail

### setFont

    public void setFont(java.awt.Font font)

  Sets the font.
  Parameters:
    `font` - the font.

### getFont

    public java.awt.Font getFont()

### setFontSize

    public void setFontSize(int size)

### getFontSize

    public int getFontSize()

### setFontType

    public void setFontType(int size)

### getFontType

    public int getFontType()

### setFontStyle

    public void setFontStyle(int style)

### getFontStyle

    public int getFontStyle()

### setDrawingColor

    public void setDrawingColor(java.awt.Color drawingColor)

### getDrawingColor

    public java.awt.Color getDrawingColor()

### setFillColor

    public void setFillColor(java.awt.Color fillColor)

### getFillColor

    public java.awt.Color getFillColor()

### setTextColor

    public void setTextColor(java.awt.Color textColor)

### getTextColor

    public java.awt.Color getTextColor()

### setComposite

    public void setComposite(java.awt.Composite composite)

### getComposite

    public java.awt.Composite getComposite()

### setPaint

    public void setPaint(java.awt.Paint paint)

### getPaint

    public java.awt.Paint getPaint()

### setTransform

    public void setTransform(java.awt.geom.AffineTransform transform)

### getTransform

    public java.awt.geom.AffineTransform getTransform()

### setCapStyle

    public void setCapStyle(int capStyle)

### getCapStyle

    public int getCapStyle()

### setStrokeWidth

    public void setStrokeWidth(int wid)

### getStrokeWidth

    public int getStrokeWidth()

### setStroke

    public void setStroke(java.awt.Stroke stroke)

### getStroke

    public java.awt.Stroke getStroke()

### setClip

    public void setClip(java.awt.Shape clipshape)

  Sets the clip shape on the destination image
  Parameters:
    `clipshape` - the shape of the clipping area

### getClip

    public java.awt.Shape getClip()

### setRenderingHints

    public void setRenderingHints(java.awt.RenderingHints renderingHints)

### getRenderingHints

    public java.awt.RenderingHints getRenderingHints()

### getDisplayedImage

    public java.awt.image.BufferedImage getDisplayedImage()

### getDisplayedImageGC

    public java.awt.Graphics2D getDisplayedImageGC()

### repaint

    public void repaint()

### reset

    public void reset()

### addKeyListener

    public void addKeyListener(java.awt.event.KeyListener kl)

  Adds a key listener object.
  Parameters:
    `kl` - the KeyListener.

### removeKeyListener

    public void removeKeyListener(java.awt.event.KeyListener kl)

  Removes a key listener object.
  Parameters:
    `kl` - the KeyListener

### addMouseListener

    public void addMouseListener(java.awt.event.MouseListener ml)

  Adds a mouse listener object.
  Parameters:
    `ml` - the MouseListener.

### addMouseMotionListener

    public void addMouseMotionListener(java.awt.event.MouseMotionListener e)

  Adds a mouse motion listener object.
  Parameters:
    `ml` - the MouseMotionListener.

### removeMouseListener

    public void removeMouseListener(java.awt.event.MouseListener ml)

  Removes a mouse listener object.
  Parameters:
    `ml` - the MouseListener.

### removeMouseMotionListener

    public void removeMouseMotionListener(java.awt.event.MouseMotionListener ml)

  Removes a mouse motion listener object.
  Parameters:
    `ml` - the MouseMotionListener.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pc)

  Adds a PropertyChangeListener object.
  Parameters:
    `pc` - the PropertyChangeListener object.

### addVetoableChangeListener

    public void addVetoableChangeListener(java.beans.VetoableChangeListener vl)

  Adds a VetoableChangeListener object.
  Parameters:
    `vl` - the VetoableChangeListener.

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener pc)

  Removes a PropertyChangeListener object.
  Parameters:
    `pc` - the PropertyChangeListener object.

### removeVetoableChangeListener

    public void removeVetoableChangeListener(java.beans.VetoableChangeListener vl)

  Removes a VetoableChangeListener object.
  Parameters:
    `ml` - the VetoableChangeListener object.

### setCursor

    public void setCursor(java.awt.Cursor cursor)

  Sets the cursor.
  Parameters:
    `cursor` - the Cursor object.

### draw

    public void draw(java.awt.Shape shape)

  Draws the specified shape on the destination image
  Parameters:
    `shape` - the shape to be drawn

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD